/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

import "frameworks/base/core/proto/android/view/insetssourceconsumer.proto";

package android.view;

option java_multiple_files = true;

/**
 * Represents a {@link android.view.ImeInsetsSourceConsumer} object.
 */
message ImeInsetsSourceConsumerProto {
    optional InsetsSourceConsumerProto insets_source_consumer = 1;
    reserved 2; // focused_editor = 2
    optional bool is_requested_visible_awaiting_control = 3;
    optional bool is_hide_animation_running = 4;
    optional bool is_show_requested_during_hide_animation = 5;
}